Monitoring - update Widget
Werkt de eigenschappen of configuratie van de widget bij
PUT http://<Servername>/OperationsManager/monitoring/widget/{widgetId}
URI-parameters
| Name | In | Vereist | Type | Description |
|---|---|---|---|---|
|
widget
|
path | True |
string |
Geef de widget-ID op |
Aanvraagbody
Media Types: "application/json", "text/json", "application/xml", "text/xml", "application/x-www-form-urlencoded"
| Name | Vereist | Type | Description |
|---|---|---|---|
| name | True |
string |
Naam van onderdeel |
| componentType |
string |
Onderdeeltype |
|
| config |
string |
Configuratie van onderdelen |
|
| description |
string |
Beschrijving van onderdeel |
|
| mpDescription |
string |
MP Beschrijving |
|
| mpId |
string |
Mp-ID |
|
| mpName |
string |
MP-naam |
|
| mpVersion |
string |
MP-versie |
|
| path |
string |
Pad |
Antwoorden
| Name | Type | Description |
|---|---|---|
| 200 OK |
boolean |
OK. De widgetconfiguratie is bijgewerkt. Media Types: "application/json", "text/json", "application/xml", "text/xml" |
Voorbeelden
Monitoring_updateWidget
Voorbeeldaanvraag
PUT http://<Servername>/OperationsManager/monitoring/widget/36d07f06-f74b-f820-9697-fc6dda6bce4e
{
"mpId": "dcfdedc4-68bd-42b4-1e9a-ba94b1577732",
"path": "Monitoring",
"name": "test alert widget",
"description": "test",
"config": "{\"widgetDisplay\":{\"col\":1,\"row\":1,\"sizex\":6,\"sizey\":4,\"columns\":[\"severity\",\"monitoringobjectdisplayname\",\"name\",\"repeatcount\",\"lastmodified\"],\"groupByColumn\":\"nogrouping\",\"expandGroupByColumn\":false,\"sortByColumn\":\"nosorting\",\"sortOrder\":1,\"payload\":\"36d07f06-f74b-f820-9697-fc6dda6bce4e\",\"dragHandle\":\".draggable\",\"resizeHandle\":\".resizable\"},\"widgetParameters\":{\"scope\":{\"scopeSelection\":[]},\"criteria\":{\"severities\":[\"0\",\"1\",\"2\"],\"priorities\":[\"0\",\"2\",\"1\"],\"resolutionStates\":[\"0\",\"247\",\"248\",\"249\",\"250\",\"254\",\"255\"],\"age\":7,\"ageTimeUnit\":\"days\"}},\"widgetRefreshInterval\":5}",
"componentType": "HtmlAlertWidget"
}
Voorbeeldrespons
[
"Ok"
]
Definities
MonitoringComponentRequest
| Name | Type | Description |
|---|---|---|
| componentType |
string |
Onderdeeltype |
| config |
string |
Configuratie van onderdelen |
| description |
string |
Beschrijving van onderdeel |
| mpDescription |
string |
MP Beschrijving |
| mpId |
string |
Mp-ID |
| mpName |
string |
MP-naam |
| mpVersion |
string |
MP-versie |
| name |
string |
Naam van onderdeel |
| path |
string |
Pad |